<template>
  <main class="bg-light text-primary min-h-screen min-w-screen">
    <div class="container mx-auto grid grid-cols-2 gap-4">
      <div>
        <div class="p-4">
          <nuxt-link to="/">
            <h1 class="font-bold text-2xl">FormBuilder</h1>
          </nuxt-link>
        </div>
      </div>
      <div>
        <Menu :data="menu" />
      </div>
    </div>
    <div class="container mx-auto px-4">
      <Nuxt />
    </div>
  </main>
</template>
<script>
export default {
  data() {
    return {
      menu: [
        {
          name: 'My Forms',
          path: '/',
        },
        {
          name: 'Import',
          path: '/import',
        },
        {
          name: '+ New form',
          path: '/builder',
          cta: true,
        },
      ],
    }
  },
}
</script>
